Skip to main content
DELETE
/
agents
/
{agent_id}
/
stop
python
from notte_sdk import NotteClient

notte = NotteClient()

with notte.Session() as session:
    agent = notte.Agent(session=session)
    _ = agent.start(
        task="find a cute dog on google images"
    )

    # stops without waiting for the agent to finish
    _ = agent.stop()
{
  "agent_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "session_id": "<string>",
  "status": "active",
  "task": "<string>",
  "closed_at": "2023-11-07T05:31:56Z",
  "saved": false,
  "url": "<string>",
  "success": true,
  "answer": "<string>",
  "steps": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://notte-experiment-visibility-md-links.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

agent_id
string
required

Query Parameters

session_id
string
required
Minimum string length: 1

Response

Successful Response

agent_id
string
required

The ID of the agent

created_at
string<date-time>
required

The creation time of the agent

session_id
string
required

The ID of the session

status
enum<string>
required

The status of the agent (active or closed)

Available options:
active,
closed
task
string
required

The task that the agent is currently running

closed_at
string<date-time> | null

The closing time of the agent

saved
boolean
default:false

Whether the agent is saved as a workflow

url
string | null

The URL that the agent started on

success
boolean | null

Whether the agent task was successful. None if the agent is still running

answer
string | null

The answer to the agent task. None if the agent is still running

steps
Steps · object[]

The steps that the agent has currently taken